## org.eclipse.emf.databinding.internal
Class EMFMapProperty

    java.lang.Object
      org.eclipse.core.databinding.property.map.MapProperty
          org.eclipse.core.databinding.property.map.SimpleMapProperty
              org.eclipse.emf.databinding.internal.EMFMapProperty

All Implemented Interfaces:
  IProperty, IMapProperty

Direct Known Subclasses:
  EMFEditMapProperty

    public class EMFMapProperty

extends SimpleMapProperty

PROVISIONAL: This API is subject to arbitrary change, including renaming or removal.

Since:
  2.5

Constructor Summary
`EMFMapProperty(EStructuralFeature eStructuralFeature)`

Method Summary
`INativePropertyListener` `adaptListener(ISimplePropertyListener listener)`
`protected java.util.Map<?,?>` `doGetMap(java.lang.Object source)`
`protected void` `doSetMap(java.lang.Object source, java.util.Map map, MapDiff diff)`
`protected EStructuralFeature` `getFeature()`
`java.lang.Object` `getKeyType()`
`java.lang.Object` `getValueType()`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.core.databinding.property.map.SimpleMapProperty
`getMap, observe, setMap`

Methods inherited from class org.eclipse.core.databinding.property.map.MapProperty
`mapFactory, mapFactory, observe, observeDetail, values`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EMFMapProperty

    public EMFMapProperty(EStructuralFeature eStructuralFeature)

Parameters:
  `eStructuralFeature` -

Method Detail

### getFeature

    protected EStructuralFeature getFeature()

  Returns:
    the feature

### getKeyType

    public java.lang.Object getKeyType()

### getValueType

    public java.lang.Object getValueType()

### doGetMap

    protected java.util.Map<?,?> doGetMap(java.lang.Object source)

  Specified by:
    `doGetMap` in class `SimpleMapProperty`

### doSetMap

    protected void doSetMap(java.lang.Object source,
                            java.util.Map map,
                            MapDiff diff)

  Specified by:
    `doSetMap` in class `SimpleMapProperty`

### adaptListener

    public INativePropertyListener adaptListener(ISimplePropertyListener listener)

  Specified by:
    `adaptListener` in class `SimpleMapProperty`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.